### Method

# CM Client get_homeserver_versions

since: 0.0.3

#### Declaration [src]

    const char* const*
    cm_client_get_homeserver_versions (
      CmClient* self
    )

#### Description [src]

Get the suppported Matrix protocol versions of the home server set for the client.

Available since: 0.0.3

#### Return value

Type: An array of `utf8`

The home server versions.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.